Search requests
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991OptionalDefault:
Which page to fetch
1pageSizeinteger · min: 1 · max: 30OptionalDefault:
Page size to use
30typeany ofOptional
Search by request type
or
string · enumOptionalPossible values:
Single type
stateany ofOptional
Search by request state
or
string · enumOptionalPossible values:
Single state
targetIdstringOptional
Search by target ID
createdBystringOptional
Search by request creator (user ID or 'me')
reviewedBystringOptional
Search by user who has already reviewed (user ID or 'me')
pendingBystringOptional
Search by user who has a pending review for the request (user ID or 'me')
sortBystring · enumOptionalDefault:
Sort by attribute
createdAtPossible values: sortOrderstring · enumOptionalDefault:
Sort order
ascPossible values: fromDatestringOptional
Search by createdAt >= this date (inclusive)
toDatestringOptional
Search by createdAt <= this date (inclusive)
Responses
200
Successful response
application/json
pagenumberRequired
Current page
nextany ofRequired
Next page or null if there is none
numberOptional
nullOptional
prevany ofRequired
Previous page or null if there is none
numberOptional
nullOptional
pageSizenumberRequired
Max count of items per page
totalnumberRequired
Total count of items
resultsone of[]Required
Array of results
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
404
Not found
application/json
500
Internal server error
application/json
get
/requestsLast updated